=== debian/changelog ===
astroidmail (0.13-3) unstable; urgency=medium

  * Fix avoid running testsuite in parallel.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Aug 2018 13:13:10 +0200

astroidmail (0.13-2) experimental; urgency=medium

  * Update package relations:
    + Fix build-depend on and recommend node-marked.
    + Fix build-depend on recent gnupg.
  * Refresh patches with shortening quilt options.
  * Cherry-pick patch from upstream git:
    + Bump testsuite plugins to GIR v0.2.

  Thanks to upstream for clues on above
  (see https://github.com/astroidmail/astroid/issues/540 ).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Aug 2018 12:06:12 +0200

astroidmail (0.13-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info: Add cmake files.
  * Update package relations:
    + Build-depend on libwebkit2gtk-4.0-dev (not libwebkitgtk-3.0-dev).
    + Build-depend on protobuf-compiler and recent libprotobuf-dev.
    + Build-depend on cmake (not meson).
  * Cherry-pick patches from upstream git:
    + Close correct tab if Mode::close is called on non-active tab.
    + cmake: libhypocycloid should always be static.
    + cmake: fix scalable icon install path.
  * Update build cleanup.
  * Update Vcs-* fields: Packaging moved to Salsa.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 24 Aug 2018 13:52:47 +0200

astroidmail (0.10.2-2) unstable; urgency=medium

  * Fix create fake $HOME for testsuite to please gnupg2.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 11 Oct 2017 19:57:04 +0200

astroidmail (0.10.2-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Drop patch 2001: Obsoleted by switch to meson build system.
  * Stop resolve package relations in rules file.
  * Stop build-depend on dh-buildinfo.
  * Sort package relations.
  * Declare docs and examples in debhelper files (not rules file).
  * Use meson and short-form dh (not scons or cdbs).
    Build-depend on meson (not cdbs).
  * Use help2man and xvfb to generate manpage.
    Build-depend on help2man.
  * Fix set LC_ALL (not LOCALE) in environment during testsuite.
  * Use semantic newlines in copyright and license texts.
    Reword comments in copyright file.
  * Use https protocol in homepage URL.
  * Declare compliance with Debian Policy 4.1.1.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 11 Oct 2017 19:05:23 +0200

astroidmail (0.10-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Install upstream changelog.
  * Apply patch 2001 to fix revert to not use _index_file over
    _add_message: A commit close to release causing FTBFS, and confirmed
    upstream to not cause harm to avoid.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Sep 2017 10:28:24 +0200

astroidmail (0.9.1+20170919-1) experimental; urgency=medium

  [ upstream ]
  * Development snapshot.

  [ Jonas Smedegaard ]
  * Update watch file: Use substitution strings.
  * Update copyright info: Use https protocol in file format URL.
  * Tighten lintian overrides regarding License-Reference.
  * Update package relations: Build-depend on libgmime-3.0-dev (not
    libgmime-2.6-dev).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Sep 2017 20:44:32 +0200

astroidmail (0.9.1-1) experimental; urgency=low

  [ Jonas Smedegaard ]
  * Initial release.
    Closes: bug#873202.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Aug 2017 14:03:44 +0200
