=== debian/control ===
Source: astroidmail
Section: mail
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 cmake,
 debhelper,
 help2man,
 gnupg (>= 2),
 libboost-date-time-dev,
 libboost-filesystem-dev,
 libboost-log-dev,
 libboost-program-options-dev,
 libboost-system-dev,
 libboost-test-dev,
 libboost-thread-dev,
 libgirepository1.0-dev,
 libglibmm-2.4-dev,
 libgmime-3.0-dev,
 libgtkmm-3.0-dev,
 libnotmuch-dev,
 libpeas-dev,
 libprotobuf-dev (>= 3),
 libsass-dev,
 libvte-2.91-dev,
 libwebkit2gtk-4.0-dev,
 node-marked,
 notmuch,
 pkg-config,
 protobuf-compiler,
 python3-gi,
 xauth,
 xvfb,
Standards-Version: 4.1.1
Homepage: https://astroidmail.github.io/
Vcs-Browser: https://salsa.debian.org/debian/astroidmail
Vcs-Git: https://salsa.debian.org/debian/astroidmail.git

Package: astroid
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gnupg (>= 2),
 node-marked,
 vim-gtk3 | emacs25,
 xdg-utils,
Description: graphical notmuch email client
 Astroid is a lightweight and fast Mail User Agent that provides a
 graphical interface to searching, display and composing email,
 organized in thread and tags. Astorid uses the notmuch backend for
 blazingly fast searches through tons of email. Astroid searches,
 displays and compose emails - and rely on other programs for fetching,
 syncing and sending email.
