## astroidmail 0.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,7 @@
     )
 else ()
   # release build - use hard-coded version string
-  set ( PROJECT_VERSION "0.13.0" )
+  set ( PROJECT_VERSION "0.14.0" )
 endif ()
 
 ##
@@ -60,10 +60,11 @@
 ##
 # cmake -D...=ON|OFF command line feature switches and their default values
 #
-option (DISABLE_TERMINAL         "Disable embedded terminal (default = enabled)"  OFF)
-option (DISABLE_EMBEDDED_EDITOR  "Disable embedded editor (default = enabled)"    OFF)
-option (DISABLE_PLUGINS          "Disable plugins (default = enabled)"            OFF)
-option (ENABLE_PROFILING         "Enable profiling (default = disabled)"          OFF)
+option (DISABLE_TERMINAL         "Disable embedded terminal (default = enabled)"                  OFF)
+option (DISABLE_EMBEDDED_EDITOR  "Disable embedded editor (default = enabled)"                    OFF)
+option (DISABLE_PLUGINS          "Disable plugins (default = enabled)"                            OFF)
+option (DISABLE_DOCS             "Disable generating docs (manpage) (default = enabled)"          OFF)
+option (ENABLE_PROFILING         "Enable profiling (default = disabled)"                          OFF)
 option (DISABLE_LIBSASS          "Disable libsass, requires a sassc compiler (default = enabled)" OFF)
 option (DEBUG_WEBKIT             "Turn on extra debug options for WebKit (default = disabled)"    OFF)
 
@@ -85,7 +86,7 @@
 find_package ( PkgConfig REQUIRED )
 pkg_check_modules (GTKMM3     REQUIRED  gtkmm-3.0>=3.10)
 pkg_check_modules (GLIBMM2    REQUIRED  glibmm-2.4)
-pkg_check_modules (WEBKIT2GTK REQUIRED  webkit2gtk-4.0)
+pkg_check_modules (WEBKIT2GTK REQUIRED  webkit2gtk-4.0>=2.20)
 pkg_check_modules (SASS       REQUIRED  libsass)
 pkg_check_modules (GIOMM2     REQUIRED  giomm-2.4)
 pkg_check_modules (GIOUNIX    REQUIRED  gio-unix-2.0)
@@ -242,6 +243,8 @@
 add_library(
   hypocycloid
 
+  STATIC
+
   src/account_manager.cc
   src/astroid.cc
   src/chunk.cc
@@ -391,6 +394,31 @@
   add_custom_command ( TARGET astroid
     COMMAND ${SCSS_COMPILER} ${CMAKE_SOURCE_DIR}/ui/part.scss ${CMAKE_BINARY_DIR}/part.css )
 endif()
+
+## Build man pages
+if (NOT DISABLE_DOCS)
+  find_program (SCDOC scdoc) # preferred
+  find_program (RONN  ronn)
+
+  if (SCDOC)
+    add_custom_command (
+      TARGET astroid
+      COMMAND ${SCDOC} < ${CMAKE_SOURCE_DIR}/doc/astroid.1.scd | gzip > ${CMAKE_BINARY_DIR}/astroid.1.gz
+      COMMENT "Generating man page (scdoc)")
+  else ()
+    if (RONN)
+      message (WARNING "Falling back to 'ronn' for man page generation.")
+      add_custom_command (
+        TARGET astroid
+        COMMAND ${RONN} -rp ${CMAKE_SOURCE_DIR}/doc/astroid.1.scd | gzip > ${CMAKE_BINARY_DIR}/astroid.1.gz
+        COMMENT "Generating man page (ronn)")
+    else ()
+      message (FATAL_ERROR "Neither 'scdoc' nor 'ronn' installed. One is required for man page generation.")
+    endif()
+  endif()
+else ()
+  message (STATUS "Documentation generation (manpage) disabled.")
+endif ()
 
 ##
 # embedded editor
@@ -436,36 +464,3 @@
     set (${GIR_NAME}_NAMESPACE      ${PLUGIN_NAMESPACE})
     set (${GIR_NAME}_VERSION        ${PLUGIN_API_VERSION})
     set (${GIR_NAME}_INCLUDEPKGS    GObject-2.0 GMime-${GMIME_MAJOR_MINOR})
-    set (${GIR_NAME}_PROGRAM        ${CMAKE_CURRENT_BINARY_DIR}/gir_main)
-    set (${GIR_NAME}_FILES
-      src/plugin/astroid_activatable.c
-      src/plugin/thread_view_activatable.c
-      src/plugin/thread_index_activatable.c
-      src/plugin/astroid_activatable.h
-      src/plugin/thread_view_activatable.h
-      src/plugin/thread_index_activatable.h
-      src/plugin/gir_main.c
-      )
-    list ( APPEND INTROSPECTION_GIRS ${GIR_NAME} )
-    set (INTROSPECTION_SCANNER_ARGS --warn-all)
-    gir_add_introspections (INTROSPECTION_GIRS)   # magic happens here
-    #
-    # additional source files for astroid (plugin framework)
-    #
-    target_sources (
-      hypocycloid
-      PRIVATE
-      src/plugin/astroid_activatable.c
-      src/plugin/manager.cc
-      src/plugin/thread_index_activatable.c
-      src/plugin/thread_view_activatable.c
-      )
-    #
-    # link astroid against libpeas
-    #
-    include_directories ( ${PEAS_INCLUDE_DIRS} )
-    target_link_libraries (
-      astroid
-      ${PEAS_LDFLAGS}
-      )
-    #
