=== debian/changelog ===
astroidmail (0.14-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches: Add a patch to fix compatibility with
    newer ronn and solve the FTBFS. (Closes: #924818)
  * debian/control: Add build-dependency on scdoc in order to
    generate man pages with higher quality.

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Apr 2019 19:03:52 -0400

astroidmail (0.14-2) unstable; urgency=medium

  * Add patch cherry-picked upstream
    to shorten GNUPGHOME length in test.
    Closes: Bug#909190. Thanks to Frédéric Bonnard.
  * Tidy rules: Drop boilerplate.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Nov 2018 21:54:19 +0100

astroidmail (0.14-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Drop patches cherry-picked upstream and since applied.
  * Stop generate manpage: Provide upstream now.
    Build-depend on ronn.
    Stop build-depend on help2man.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Oct 2018 10:18:01 +0200

astroidmail (0.13-4) unstable; urgency=medium

  * Add patches cherry-picked upstream:
    + Use cmark (not marked) as default markdown processor.
    + Correctly clear messages and focus state when loading new thread.
    + Do not show default startup queries when intentionally cleared.
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.2.1.
  * Update package relations: (Build-)depend on cmark (not marked).
  * Update copyright info: Extend coverage for myself.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Sep 2018 08:34:05 +0200
