=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends:
  cmake,
  debhelper,
- help2man,
  gnupg (>= 2),
  libboost-date-time-dev,
  libboost-filesystem-dev,
@@ -24,17 +23,20 @@
  libsass-dev,
  libvte-2.91-dev,
  libwebkit2gtk-4.0-dev,
- node-marked,
+ cmark,
  notmuch,
  pkg-config,
  protobuf-compiler,
  python3-gi,
+ scdoc,
+ ronn,
  xauth,
  xvfb,
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
 Homepage: https://astroidmail.github.io/
 Vcs-Browser: https://salsa.debian.org/debian/astroidmail
 Vcs-Git: https://salsa.debian.org/debian/astroidmail.git
+Rules-Requires-Root: no
 
 Package: astroid
 Architecture: any
@@ -43,7 +45,7 @@
  ${shlibs:Depends},
 Recommends:
  gnupg (>= 2),
- node-marked,
+ cmark,
  vim-gtk3 | emacs25,
  xdg-utils,
 Description: graphical notmuch email client
