## astroidmail 0.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,13 +40,13 @@
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")
   # debug build - retrieve current project version from git
   execute_process (
-    COMMAND git describe --abbrev=8 --tags --always
+    COMMAND git -C "${CMAKE_SOURCE_DIR}" describe --abbrev=8 --tags --always
     OUTPUT_VARIABLE PROJECT_VERSION
     OUTPUT_STRIP_TRAILING_WHITESPACE
     )
 else ()
   # release build - use hard-coded version string
-  set ( PROJECT_VERSION "0.14.0" )
+  set ( PROJECT_VERSION "0.15.0" )
 endif ()
 
 ##
@@ -84,12 +84,22 @@
 endif()
 
 find_package ( PkgConfig REQUIRED )
+
+if(APPLE)
+  # with homebrew, libffi is keg-only, i.e. not symlinked into
+  # /usr/local; hence we have to tell pkg-config where to look
+  # for it
+  list ( APPEND CMAKE_PREFIX_PATH /usr/local/opt/libffi )
+  pkg_check_modules (LIBFFI     REQUIRED libffi>=3.0)
+endif()
+
 pkg_check_modules (GTKMM3     REQUIRED  gtkmm-3.0>=3.10)
 pkg_check_modules (GLIBMM2    REQUIRED  glibmm-2.4)
-pkg_check_modules (WEBKIT2GTK REQUIRED  webkit2gtk-4.0>=2.20)
+pkg_check_modules (WEBKIT2GTK REQUIRED  webkit2gtk-4.0>=2.22)
 pkg_check_modules (SASS       REQUIRED  libsass)
 pkg_check_modules (GIOMM2     REQUIRED  giomm-2.4)
 pkg_check_modules (GIOUNIX    REQUIRED  gio-unix-2.0)
+pkg_check_modules (LIBSOUP    REQUIRED  libsoup-2.4)
 
 string (REGEX REPLACE "([0-9]+\.[0-9]+)\.[0-9]+" "\\1" GMIME_MAJOR_MINOR ${Notmuch_GMIME_VERSION})
 pkg_check_modules (GMIME      REQUIRED  gmime-${GMIME_MAJOR_MINOR}>=${Notmuch_GMIME_VERSION})
@@ -142,12 +152,14 @@
   ${GLIBMM2_INCLUDE_DIRS}
   ${GIOMM2_INCLUDE_DIRS}
   ${GIOUNIX_INCLUDE_DIRS}
+  ${LIBSOUP_INCLUDE_DIRS}
   ${GMIME_INCLUDE_DIRS}
   ${WEBKIT2GTK_INCLUDE_DIRS}
   ${VTE2_INCLUDE_DIRS}
   ${SASS_INCLUDE_DIRS}
   ${Boost_INCLUDE_DIRS}
   ${PROTOBUF_INCLUDE_DIRS}
+  ${Notmuch_INCLUDE_DIRS}
   )
 
 add_compile_options (
@@ -155,6 +167,7 @@
   ${GLIBMM2_CFLAGS}
   ${GIOMM2_CFLAGS}
   ${GIOUNIX_CFLAGS}
+  ${LIBSOUP_CFLAGS}
   ${GMIME_CFLAGS}
   ${WEBKIT2GTK_CFLAGS}
   ${VTE2_CFLAGS}
@@ -324,6 +337,7 @@
   ${GLIBMM2_LDFLAGS}
   ${GIOMM2_LDFLAGS}
   ${GIOUINX_LDFLAGS}
+  ${LIBSOUP_LDFLAGS}
   ${GMIME_LDFLAGS}
   ${VTE2_LDFLAGS}
   ${SASS_LDFLAGS}
@@ -410,7 +424,7 @@
       message (WARNING "Falling back to 'ronn' for man page generation.")
       add_custom_command (
         TARGET astroid
-        COMMAND ${RONN} -rp ${CMAKE_SOURCE_DIR}/doc/astroid.1.scd | gzip > ${CMAKE_BINARY_DIR}/astroid.1.gz
+        COMMAND ${RONN} --roff --pipe ${CMAKE_SOURCE_DIR}/doc/astroid.1.scd | gzip > ${CMAKE_BINARY_DIR}/astroid.1.gz
         COMMENT "Generating man page (ronn)")
     else ()
       message (FATAL_ERROR "Neither 'scdoc' nor 'ronn' installed. One is required for man page generation.")
@@ -447,12 +461,6 @@
   add_definitions ( -DDISABLE_PLUGINS )
   message (STATUS "Disabling plugins.")
 else()
-  if(APPLE)
-    # with homebrew, libffi is keg-only, i.e. not symlinked into
-    # /usr/local; hence we have to tell pkg-config where to look for
-    # it
-    list ( APPEND CMAKE_PREFIX_PATH /usr/local/opt/libffi )
-  endif()
   include (FindGObjectIntrospection)   # this performs a pkg_check_modules()
   pkg_check_modules (PEAS libpeas-1.0>=1.0.0)
   if(INTROSPECTION_FOUND AND PEAS_FOUND)
@@ -460,7 +468,3 @@
     # GObject introspection
     #
     include (GObjectIntrospectionMacros)
-    set (GIR_NAME "${PLUGIN_NAMESPACE}-${PLUGIN_API_VERSION}.gir")
-    set (${GIR_NAME}_NAMESPACE      ${PLUGIN_NAMESPACE})
-    set (${GIR_NAME}_VERSION        ${PLUGIN_API_VERSION})
-    set (${GIR_NAME}_INCLUDEPKGS    GObject-2.0 GMime-${GMIME_MAJOR_MINOR})
