=== debian/changelog ===
astroidmail (0.15-3.1build1) groovy; urgency=medium

  * Rebuild against new libprotobuf23.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Jul 2020 10:13:29 +0200

astroidmail (0.15-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Fix FTBFS with gmime >= 3.2.3 (Closes: #952167)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 08 May 2020 18:57:57 -0700

astroidmail (0.15-3) unstable; urgency=medium

  * Add patch 1001 to use command gpg (not gpg2).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Jul 2019 22:03:35 -0300

astroidmail (0.15-2) unstable; urgency=medium

  * Acknowledge NMU.
    Closes: Bug#924818. Thanks to Boyuan Yang.
  * Drop patch introduced in NMU now applied.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Jul 2019 19:16:18 -0300

astroidmail (0.15-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update watch file: Fix typo in usage comment.
  * Build-depend on libsoup2.4-dev.
    Tighten to build-depend versioned on libwebkit2gtk-4.0-dev.
    Build-depend on and have astroid recommend w3m.
    Relax to build-depend unversioned on libprotobuf-dev.
    Relax to build-depend on
    and have astroid recommend unversioned gnupg.
  * Declare compliance with Debian Policy 4.4.0.
  * Drop patch cherry-picked upstream now applied.
  * Mark test-only build-dependencies as such.
  * Have astroid recommend and enhance notmuch.
  * Add autopkgtest.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Jul 2019 19:01:24 -0300
