=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  cmake,
+ cmark <!nocheck>,
  debhelper,
- gnupg (>= 2),
+ gnupg <!nocheck>,
  libboost-date-time-dev,
  libboost-filesystem-dev,
  libboost-log-dev,
@@ -19,20 +20,21 @@
  libgtkmm-3.0-dev,
  libnotmuch-dev,
  libpeas-dev,
- libprotobuf-dev (>= 3),
+ libprotobuf-dev,
  libsass-dev,
+ libsoup2.4-dev,
  libvte-2.91-dev,
- libwebkit2gtk-4.0-dev,
- cmark,
- notmuch,
+ libwebkit2gtk-4.0-dev (>= 2.22),
+ notmuch <!nocheck>,
  pkg-config,
  protobuf-compiler,
  python3-gi,
  scdoc,
  ronn,
+ w3m <!nocheck>,
  xauth,
  xvfb,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://astroidmail.github.io/
 Vcs-Browser: https://salsa.debian.org/debian/astroidmail
 Vcs-Git: https://salsa.debian.org/debian/astroidmail.git
@@ -44,10 +46,14 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- gnupg (>= 2),
  cmark,
+ gnupg,
+ notmuch,
  vim-gtk3 | emacs25,
+ w3m,
  xdg-utils,
+Enhances:
+ notmuch,
 Description: graphical notmuch email client
  Astroid is a lightweight and fast Mail User Agent that provides a
  graphical interface to searching, display and composing email,
