=== debian/tests/control ===
Test-Command: prove debian/tests/*.t
Depends:
 astroid,
 libtest-command-simple-perl,
 perl,
 xvfb,
