## astroidmail 0.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,7 @@
     )
 else ()
   # release build - use hard-coded version string
-  set ( PROJECT_VERSION "0.15.0" )
+  set ( PROJECT_VERSION "0.16.0" )
 endif ()
 
 ##
