=== debian/changelog ===
astroidmail (0.16-2) unstable; urgency=medium

  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Nov 2021 03:19:27 +0100

astroidmail (0.16-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.0
  * drop patches cherry-picked upstream since applied
  * unfuzz remaining patch

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Aug 2021 22:07:14 +0200

astroidmail (0.15-7) unstable; urgency=medium

  * really fix have autopkgtest tolerate output to stderr

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jan 2021 16:06:45 +0100

astroidmail (0.15-6) unstable; urgency=medium

  * fix have autopkgtest allow-stderr
  * use debhelper compatibility level 13 (not 12)
  * declare compliance with Debian Policy 4.5.1
  * add patch cherry-picked upstream
    to use std::placeholders everywhere

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Jan 2021 21:16:42 +0100

astroidmail (0.15-5) unstable; urgency=medium

  * fix have autopkgtest depend on xauth
  * annotate superficial autopkgtest
  * declare compliance with Debian Policy 4.5.0
  * simplify source script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Sep 2020 13:20:45 +0200

astroidmail (0.15-4) experimental; urgency=medium

  * fix skip testsuite when DEB_BUILD_OPTIONS contains nocheck
  * update watch file:
    + use substitution strings
    + use dversionmangle=auto
    + simplify regular expressions
    + rewrite usage comment
  * use debhelper compatibility level to 12 (not 9);
    stop explicitly enable parallel build;
    build-depend on debhelper-compat (not debhelper)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Feb 2020 15:15:06 +0100
