=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  cmake,
  cmark <!nocheck>,
- debhelper,
+ debhelper-compat (= 13),
  gnupg <!nocheck>,
  libboost-date-time-dev,
  libboost-filesystem-dev,
@@ -34,7 +34,7 @@
  w3m <!nocheck>,
  xauth,
  xvfb,
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Homepage: https://astroidmail.github.io/
 Vcs-Browser: https://salsa.debian.org/debian/astroidmail
 Vcs-Git: https://salsa.debian.org/debian/astroidmail.git
