## astroidmail 0.16%2B20240629

=== debian/control ===
--- 
+++ 
@@ -22,11 +22,10 @@
  libpeas-dev,
  libprotobuf-dev,
  libsass-dev,
- libsoup2.4-dev,
  libvte-2.91-dev,
- libwebkit2gtk-4.0-dev (>= 2.22),
+ libwebkit2gtk-4.1-dev,
  notmuch <!nocheck>,
- pkg-config,
+ pkgconf,
  protobuf-compiler,
  python3-gi,
  scdoc,
@@ -34,7 +33,7 @@
  w3m <!nocheck>,
  xauth,
  xvfb,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://astroidmail.github.io/
 Vcs-Browser: https://salsa.debian.org/debian/astroidmail
 Vcs-Git: https://salsa.debian.org/debian/astroidmail.git
@@ -49,7 +48,7 @@
  cmark,
  gnupg,
  notmuch,
- vim-gtk3 | emacs25,
+ sensible-utils,
  w3m,
  xdg-utils,
 Enhances:
