=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
mode=git,pgpmode=none,pretty=0.16+%cd,\
dversionmangle=auto \
https://github.com/astroidmail/astroid.git \
HEAD
