## astroidmail 0.16+20240629

=== CMakeLists.txt ===
--- 
+++ 
@@ -95,11 +95,13 @@
 
 pkg_check_modules (GTKMM3     REQUIRED  gtkmm-3.0>=3.10)
 pkg_check_modules (GLIBMM2    REQUIRED  glibmm-2.4)
-pkg_check_modules (WEBKIT2GTK REQUIRED  webkit2gtk-4.0>=2.22)
+pkg_check_modules (WEBKIT2GTK webkit2gtk-4.1)
+if (NOT WEBKIT2GTK_FOUND)
+  pkg_check_modules (WEBKIT2GTK REQUIRED webkit2gtk-4.0>=2.22)
+endif ()
 pkg_check_modules (SASS       REQUIRED  libsass)
 pkg_check_modules (GIOMM2     REQUIRED  giomm-2.4)
-pkg_check_modules (GIOUNIX    REQUIRED  gio-unix-2.0)
-pkg_check_modules (LIBSOUP    REQUIRED  libsoup-2.4)
+pkg_check_modules (GIOUNIX    REQUIRED  gio-unix-2.0>=2.16)
 
 string (REGEX REPLACE "([0-9]+\.[0-9]+)\.[0-9]+" "\\1" GMIME_MAJOR_MINOR ${Notmuch_GMIME_VERSION})
 pkg_check_modules (GMIME      REQUIRED  gmime-${GMIME_MAJOR_MINOR}>=${Notmuch_GMIME_VERSION})
@@ -117,7 +119,9 @@
   system
   )
 
+find_package (Protobuf CONFIG)
 find_package (Protobuf 3.0 REQUIRED)
+set (PROTOBUF_LIBRARIES protobuf::libprotobuf)
 set (PROTO_FILES
   src/modes/thread_view/webextension/messages.proto
   )
@@ -145,14 +149,13 @@
 # compile flags and options
 #
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")
 
 include_directories (
   ${GTKMM3_INCLUDE_DIRS}
   ${GLIBMM2_INCLUDE_DIRS}
   ${GIOMM2_INCLUDE_DIRS}
   ${GIOUNIX_INCLUDE_DIRS}
-  ${LIBSOUP_INCLUDE_DIRS}
   ${GMIME_INCLUDE_DIRS}
   ${WEBKIT2GTK_INCLUDE_DIRS}
   ${VTE2_INCLUDE_DIRS}
@@ -167,7 +170,6 @@
   ${GLIBMM2_CFLAGS}
   ${GIOMM2_CFLAGS}
   ${GIOUNIX_CFLAGS}
-  ${LIBSOUP_CFLAGS}
   ${GMIME_CFLAGS}
   ${WEBKIT2GTK_CFLAGS}
   ${VTE2_CFLAGS}
@@ -336,8 +338,7 @@
   ${GTKMM3_LDFLAGS}
   ${GLIBMM2_LDFLAGS}
   ${GIOMM2_LDFLAGS}
-  ${GIOUINX_LDFLAGS}
-  ${LIBSOUP_LDFLAGS}
+  ${GIOUNIX_LDFLAGS}
   ${GMIME_LDFLAGS}
   ${VTE2_LDFLAGS}
   ${SASS_LDFLAGS}
@@ -366,7 +367,7 @@
   ${WEBKIT2GTK_LDFLAGS}
   ${GLIBMM2_LDFLAGS}
   ${GIOMM2_LDFLAGS}
-  ${GIOUINX_LDFLAGS}
+  ${GIOUNIX_LDFLAGS}
   ${CMAKE_THREAD_LIBS_INIT}
   ${PROTOBUF_LIBRARIES}
   ${GTKMM3_LDFLAGS}
@@ -467,4 +468,3 @@
     #
     # GObject introspection
     #
-    include (GObjectIntrospectionMacros)
