=== debian/changelog ===
astroidmail (0.16+20240629-1build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:12:55 +0200

astroidmail (0.16+20240629-1build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:02:30 +0200

astroidmail (0.16+20240629-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot;
    highlights:
    + Use symbolic icons
    + Fix gmime assertions being triggered by invalid addresses
    + compose_message:
      to load as byte array, 'file' must be wrapped with copy
    + Add option to disable left icons
    + Add a '#' key to send a message to the trash
    + thread_view: set iframe size in javascript
    + thread_view: set headers and preview via innerText
    + set email preview width in css;
      closes: bug#1036154,
      thanks to Matthias Kirschner and Alberto Garcia
    + stop using deprecated Gtk::HBox
    + default initialize all pointers in Astroid class
    + don't abort when notmuch-config has bad data
    + set both top and bottom margins for prompt bars
    + reduce margins on yes/no revealer to 3
    + improve mailto uri handling
    + use webkit2gtk-4.1 when available and 4.0 as fallback
    + call set_size_request on pane children
    + set minimal pane size to 50
    + wrap line help message for actions on multi-message-selection

  [ Jonas Smedegaard ]
  * update watch file: track git commits (not release tags)
  * unfuzz patch 1001
  * add patch 2001 to use sensible-editor by default;
    recommend sensible-utils
    (not vim-gtk3 or now obsolete emacs25)
  * declare compliance with Debian Policy 4.7.0
  * update copyright info: update coverage
  * build-depend on pkgconf (not pkg-config)
  * update git-buildpackage config:
    + filter-out eventual debian subdir
    + use DEP14 branches
    + add usage config

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Jul 2024 09:05:02 +0200

astroidmail (0.16-2.2) unstable; urgency=medium

  * Non-maintainer upload
  * Drop obsolete Build-Depends: libsoup2.4-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Jun 2024 09:30:34 -0400

astroidmail (0.16-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Cherry-pick patch to stop using webkit2gtk 4.0 (Closes: #1061526)
  * Update Build-Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Jun 2024 09:24:41 -0400
