=== debian/tests/control ===
--- 
+++ 
@@ -4,3 +4,5 @@
  libtest-command-simple-perl,
  perl,
  xvfb,
+ xauth,
+Restrictions: superficial, allow-stderr
