## astroidmail 0.17%2Bds

=== debian/rules ===
#!/usr/bin/make -f

# resolve if release is experimental
include /usr/share/dpkg/pkg-info.mk
EXP_RELEASE = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))

%:
	dh $@

# use virtual X11 and UTF-8 in testsuite
# ignore testuite failure when targeting experimental
override_dh_auto_test:
	LC_ALL=C.UTF-8 xvfb-run -a \
		dh_auto_test --no-parallel $(if $(EXP_RELEASE), || true)
